# Maintainer: Mark Wagie <mark dot wagie at tutanota dot com>

pkgname=gnome-shell-extension-weather-oclock
pkgver=5
pkgrel=2
pkgdesc="Display the current weather inside the pill next to the clock."
arch=('any')
url="https://github.com/CleoMenezesJr/weather-oclock"
license=('GPL3')
depends=('gnome-shell' 'gnome-weather')
source=("https://extensions.gnome.org/extension-data/weatheroclockCleoMenezesJr.github.io.v$pkgver.shell-extension.zip")
sha256sums=('2b670d4bb171d79186dcaf8595aa21d1ff8e7d88d55743856bc90f35084b706b')

package() {
		
	cd $srcdir
	local uuid=$(grep -Po '(?<="uuid": ")[^"]*' metadata.json)
	local destdir="$pkgdir/usr/share/gnome-shell/extensions/$uuid"
	install -dm755 "$destdir"

	rm *.zip
	chmod 544 metadata.json
	cp -r * "$destdir"
	
}
